<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "itemsubgrp";
$formname = "Item Sub Group Print";
//$file       = "supplier_print.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

if (isset($_POST["view"])) {
    $itemsubgrp = $_POST[itemsubgrp];
    $itemgrp = $_POST[itemgrp];

    $itemsubgrpcond = "";
    $itemgrpcond = "";



    if (!empty($itemsubgrp)) {
        $itemsubgrpcond = " AND `code`='$itemsubgrp' ";
    }

    if (!empty($itemgrp)) {
        $itemgrpcond = " AND `itemgrp` = '$itemgrp' ";
    }


    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` where code != '' $itemgrpcond $itemsubgrpcond")or die(mysqli_error($conn));

    include("includes/linkshead.php");
    ?>
    <script src="MyScript/item.js" type="text/javascript"></script>
    </head>
    <body>
        <div class="container">
            <div class="row">
                <div class="col-lg-6">
                    <label class="label-control marg">Date - </label>
                    <label class="label-control marg"><?php Echo Date("d-m-Y"); ?></label>
                </div>
                <div class="col-lg-5">
                    <label class="label-control marg">Print - </label>
                    <label class="label-control marg"><?php Echo $formname; ?></label>
                </div>
                <div class="col-lg-1">
                    <a class="btn btn-primary goBack" onclick="window.close()" style="float: right">Go Back</a>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-hover">
                        <tr  style="background-color: #78909C">
                            <th>Sr</th>
                            <th>Item Sub Group</th>
                            <th>Item Group</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {

                            $getitgrp = mysqli_query($conn, "select `code`,`name` FROM `itemgrp` WHERE `code`='$pmain[itemgrp]'") or die(mysqli_error($conn));
                            $gitgrp = mysqli_fetch_array($getitgrp);

                            Echo "<tr>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$pmain[name]</td>";
                            Echo "<td>$gitgrp[name]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?php
}
if (isset($_POST["excel"])) {
    $itemsubgrp = $_POST[itemsubgrp];
    $itemgrp = $_POST[itemgrp];

    $itemsubgrpcond = "";
    $itemgrpcond = "";

    if (!empty($itemsubgrp)) {
        $itemsubgrpcond = " AND `code`='$itemsubgrp' ";
    }

    if (!empty($itemgrp)) {
        $itemgrpcond = " AND `itemgrp` = '$itemgrp' ";
    }


    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` where code != '' $itemgrpcond $itemsubgrpcond")or die(mysqli_error($conn));
    $contents.="Sr.,Item Sub Group,Item Group\n";

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        $getitgrp = mysqli_query($conn, "select `code`,`name` FROM `itemgrp` WHERE `code`='$pmain[itemgrp]'") or die(mysqli_error($conn));
        $gitgrp = mysqli_fetch_array($getitgrp);
        $contents.=$ctr . ",";
        $contents.=$pmain[name] . ",";
        $contents.=$gitgrp[name] . "\n";

        $ctr++;
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>